# IAX2IncomingEthernetFrames Class Reference

`#include <iax2ep.h>`

Collaboration diagram for IAX2IncomingEthernetFrames:

[legend]

## Public Member Functions

Constructors/destructors
| IAX2IncomingEthernetFrames ()
| ~IAX2IncomingEthernetFrames ()
general worker methods
virtual void | Main ()
void | Assign (IAX2EndPoint *ep)
void | ProcessList ()
void | Terminate ()

## Protected Attributes

IAX2EndPoint * | endpoint
PSyncPoint | activate
PBoolean | keepGoing

## Detailed Description

A class to take frames from the transmitter, and disperse them to the appropriate IAX2Connection class. This class calls a method in the IAX2EndPoint to do the dispersal.

## Constructor & Destructor Documentation

IAX2IncomingEthernetFrames::IAX2IncomingEthernetFrames | ( |  | ) |

Construct a distributor, to send packets on to the relevant connection

IAX2IncomingEthernetFrames::~IAX2IncomingEthernetFrames | ( |  | ) | `[inline]`

Destroy the distributor

## Member Function Documentation

void IAX2IncomingEthernetFrames::Assign | ( | IAX2EndPoint * | ep | ) |

Set the endpoint variable

virtual void IAX2IncomingEthernetFrames::Main | ( |  | ) | `[virtual]`

void IAX2IncomingEthernetFrames::ProcessList | ( |  | ) | `[inline]`

Activate this thread to process all frames in the lists

void IAX2IncomingEthernetFrames::Terminate | ( |  | ) |

Cause this thread to die immediately

## Field Documentation

PSyncPoint IAX2IncomingEthernetFrames::activate `[protected]`

Flag to activate this thread

IAX2EndPoint* IAX2IncomingEthernetFrames::endpoint `[protected]`

Global variable which holds the application specific data

PBoolean IAX2IncomingEthernetFrames::keepGoing `[protected]`

Flag to indicate if this receiver thread should keep listening for network data

The documentation for this class was generated from the following file:

- iax2ep.h